package domain


type AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest struct {
    /*
        销售范围     */
    ShopRanges  *[]AlibabaAelophyShopUpdaterangeShopRange `json:"shop_ranges,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道     */
    ChannelSourceType  *int64 `json:"channel_source_type,omitempty" `

}

func (s *AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest) SetShopRanges(v []AlibabaAelophyShopUpdaterangeShopRange) *AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest {
    s.ShopRanges = &v
    return s
}
func (s *AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest) SetStoreId(v string) *AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest) SetChannelSourceType(v int64) *AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest {
    s.ChannelSourceType = &v
    return s
}
